<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\Controller\CrudWithParameterBag;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DB\StorageProcedure\Param;

class Aliqimpfis extends CrudWithParameterBag {

    protected $dataSourceName = 'aliqimpfis';
    protected $dataSourceFind = 'aliqifind';
    protected $parameterBagColumns = array('CDFILIAL', 'NRORG', 'PRODINICIAL', 'PRODFINAL');

    public function __construct (Manager $dataSourceManager, ParameterBag $parameterBag) {
        parent::__construct($dataSourceManager, $parameterBag);
    }

    public function save(DTO\Request\DataSet $request, DTO\Response $response) {
        $this->dataSourceName = 'aliqimpfissave';
        parent::save($request, $response);
    }

    public function find(DTO\Request\Filter $request, DTO\Response $response) {
        $this->dataSourceName = 'aliqifind';
        if($request->getFilterCriteria()->getConditions()[3]['value'] && $request->getFilterCriteria()->getConditions()[4]['value']){
            parent::find($request, $response);
        }
    }
}